import 'package:flutter/material.dart';
import 'package:ocg_location/ocg_location.dart';

class HomeScreen extends StatefulWidget {
  HomeScreen({Key key}) : super(key: key);

  @override
  _HomeScreenState createState() => _HomeScreenState();
}

class _HomeScreenState extends State<HomeScreen> {
  Address _address;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: _address == null
          ? Container()
          : Center(
              child: Text("${_address.fullAddress}"),
            ),
      floatingActionButton: FloatingActionButton(
        onPressed: _pickLocation,
        child: Icon(Icons.location_on),
      ),
    );
  }

  Future<void> _pickLocation() async {
    var address = await Navigator.of(context).push(MaterialPageRoute(
        builder: (context) => LocationSearchScreen(
              isMapEnabled: true,
              showCurrentLocation: true,
            )));
    setState(() {
      _address = address;
    });
  }
}
