import 'package:flutter/material.dart';

class LocationWidget extends StatelessWidget {
  final String title;
  final Function onTap;

  const LocationWidget({Key key, @required this.title, @required this.onTap})
      : super(key: key);
  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onTap,
      child: Padding(
        padding: const EdgeInsets.symmetric(horizontal: 16.0, vertical: 16.0),
        child: Row(
          children: <Widget>[
            Icon(Icons.location_on, size: 22.0),
            Expanded(
                child: Padding(
              padding: const EdgeInsets.only(left: 12.0),
              child: Text(
                title,
                style: TextStyle(
                  fontSize: 16.0,
                ),
              ),
            ))
          ],
        ),
      ),
    );
  }
}
